Skip to main content
POST
Queue a Procare message

Authorizations

Authorization
string
header
required

Access token issued by POST /sessions and associated with a valid server-side session.

Body

application/json

Create Procare Message Request.

type
enum<string>
required

Case-insensitive; surrounding whitespace is ignored.

Available options:
office_chat,
classroom_chat
students_ids
string<uuid>[]
required
Minimum array length: 1

Lead id.

message
string
required
Minimum string length: 1
username
string

Procare username forwarded to the message service; not required by the V3 handler.

password
string
write-only

Procare password forwarded to the message service; not required by the V3 handler.

Response

Successful response.

Procare Message Created.

task_id
string
required